\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Regularized Boolean Set-Operations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Oriented Side Functions
2D Regularized Boolean Set-Operations Reference

##

Each one of these functions returns `ON_POSITIVE_SIDE` if the two given polygons `p1` and `p2` intersect in their interior, `ON_NEGATIVE_SIDE` if `p1` and `p2` do not intersect at all, and `ON_ORIENTED_BOUNDARY` if `p1` and `p2` intersect only in their boundaries.

The signature of the function is

Oriented_side oriented_side(const Type1 & p1, const Type2 & p2);

Parameters

The types of the paramters of the `oriented_side()` function are any of the following combinations.

Type1 | Type2
--- | ---
Polygon_2 | Polygon_2
Polygon_2 | Polygon_with_holes_2
Polygon_with_holes_2 | Polygon_2
Polygon_with_holes_2 | Polygon_with_holes_2
General_polygon_2 | General_polygon_2
General_polygon_2 | General_polygon_with_holes_2
General_polygon_with_holes_2 | General_polygon_2
General_polygon_with_holes_2 | General_polygon_with_holes_2

See Also
  `CGAL::do_intersect()`

## Functions
template<class Kernel , class Container >
Oriented_side | CGAL::oriented_side (const Polygon_2< Kernel, Container > &p1, const Polygon_2< Kernel, Container > &p2)
template<class Kernel , class Container >
Oriented_side | CGAL::oriented_side (const Polygon_2< Kernel, Container > &p1, const Polygon_with_holes_2< Kernel, Container > &p2)
template<class Kernel , class Container >
Oriented_side | CGAL::oriented_side (const Polygon_with_holes_2< Kernel, Container > &p1, const Polygon_2< Kernel, Container > &p2)
template<class Kernel , class Container >
Oriented_side | CGAL::oriented_side (const Polygon_with_holes_2< Kernel, Container > &p1, const Polygon_with_holes_2< Kernel, Container > &p2)
template<class Traits >
Oriented_side | CGAL::oriented_side (const General_polygon_2< Traits > &p1, const General_polygon_2< Traits > &p2)
template<class Traits >
Oriented_side | CGAL::oriented_side (const General_polygon_2< Traits > &p1, const General_polygon_with_holes_2< General_polygon_2< Traits > > &p2)
template<class Traits >
Oriented_side | CGAL::oriented_side (const General_polygon_with_holes_2< General_polygon_2< Traits > > &p1, const General_polygon_2< Traits > &p2)
template<class Polygon >
Oriented_side | CGAL::oriented_side (const General_polygon_with_holes_2< Polygon > &p1, const General_polygon_with_holes_2< Polygon > &p2)